1 (17.01.2016 17:24 отредактировано artoodetoo)

Тема: Установка с опцией InnoDB на современных серверах MySQL

(Please log in or register to see this URL)
В то же время, она используется в процессе инсталяции. То есть, если у вас, скажем MariaDB 10, то вы уже не сможете поставить форум на движке InnoDB. Хотя InnoDB на сервере есть и даже считается движком по умолчанию!

(Please log in or register to see this URL)

            $result = $forum_db->query('SHOW VARIABLES LIKE \'have_innodb\'');
            $row = $forum_db->fetch_assoc($result);
            if (!$row || !isset($row['Value']) || strtolower($row['Value']) != 'yes')
            {
                error($lang_install['MySQL InnoDB Not Supported']);
            }

Я описал решение проблемы для FluxBB (Please log in or register to see this URL) а т.к. PunBB это его родной брат, вы легко можете приспособить решение и для PunBB.

@hcs, у создал тему на офф. форуме, но не знаю достаточно ли этого для создания тикета.

The more you know, the more you know you don't know.

Сайт artoodetoo

Поделиться

2

Re: Установка с опцией InnoDB на современных серверах MySQL

пофиксили
(Please log in or register to see this URL)

Сайт Otto.Zukamoto

Поделиться